%define upstream_name    Class-Accessor-Assert
%define upstream_version 1.41

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 9

Summary:        Accessors which type-check
License:        GPL+ or Artistic
Group:		    Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Class::Accessor)
BuildRequires:	perl(Class::Data::Inheritable)
BuildArch:	    noarch

%description
This is a version of Class::Accessor which offers rudimentary
type-checking and existence-checking of arguments to constructors and
set accessors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 README Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.410.0-9.mga8
+ Revision: 1493512
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.410.0-8.mga7
+ Revision: 1266148
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.410.0-7.mga6
+ Revision: 1023840
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.410.0-6.mga6
+ Revision: 932586
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.410.0-5.mga5
+ Revision: 747178
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.410.0-4.mga5
+ Revision: 683873
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.410.0-3.mga4
+ Revision: 509981
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.410.0-2.mga3
+ Revision: 364195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.410.0-1.mga1
+ Revision: 23236
- cleaning spec file
- imported package perl-Class-Accessor-Assert


* Thu Mar 04 2010 Jérôme Quelin <jquelin@mandriva.org> 1.410.0-1mdv2010.1
+ Revision: 514096
- update to 1.41

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-1mdv2010.0
+ Revision: 402133
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.40-4mdv2009.0
+ Revision: 255840
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.40-2mdv2008.1
+ Revision: 136680
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.40-2mdv2008.0
+ Revision: 86067
- rebuild


* Wed Sep 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.40-1mdv2007.0
- New version
- %%mkrel
- spec cleanup

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdk
- new version
- fix sources url for rpmbuildupdate
- fix documentation perms

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdk
- initial Mandriva package

